Everything else that doesn't fall into one of the other categories.
plouf
 
Posts: 34
Joined: Tue Feb 25, 2014 6:01 pm

Playstore error -> debuggable APK ?!

by plouf Mon Nov 13, 2017 9:42 pm

i am trying to test to upload an app to Play Store and i am getting error
You uploaded a debuggable APK. For security reasons you need to disable debugging before it can be published in Google Play. Learn more about debuggable APKs.


does anyone knows why ? (offcourse debbuger) is off, and no "debug "lines exist
Fred
Site Admin
 
Posts: 1013
Joined: Mon Feb 24, 2014 10:51 am

Re: Playstore error -> debuggable APK ?!

by Fred Mon Nov 13, 2017 10:33 pm

Did you signed it ?
plouf
 
Posts: 34
Joined: Tue Feb 25, 2014 6:01 pm

Re: Playstore error -> debuggable APK ?!

by plouf Tue Nov 14, 2017 5:32 am

no, buts thats another error, first asks for that
Fred
Site Admin
 
Posts: 1013
Joined: Mon Feb 24, 2014 10:51 am

Re: Playstore error -> debuggable APK ?!

by Fred Tue Nov 14, 2017 5:24 pm

IIRC the error is gone once it's signed.
plouf
 
Posts: 34
Joined: Tue Feb 25, 2014 6:01 pm

Re: Playstore error -> debuggable APK ?!

by plouf Tue Nov 14, 2017 10:58 pm

saga continues :)
yui are correct that error has gone with correct signing, but now i get an error
Your app has an APK with version code 10000 that requests the following permission(s): android.permission.READ_PHONE_STATE. Apps using these permissions in an APK are required to have a privacy policy set.


i found that inside APK , android manifest has this version, but definitely i have NOT declare it (i use version1.0 in Compiler->"CreateAPP")

simple google search, point to something to do with cordova, but i dont know how can i fix it !

[Edit]
compile it with SB2.0 has crete a version 20001000 , where app store accept it !
plouf
 
Posts: 34
Joined: Tue Feb 25, 2014 6:01 pm

Re: Playstore error -> debuggable APK ?!

by plouf Mon Dec 04, 2017 7:19 pm

plouf wrote:saga continues :)
yui are correct that error has gone with correct signing, but now i get an error
Your app has an APK with version code 10000 that requests the following permission(s): android.permission.READ_PHONE_STATE. Apps using these permissions in an APK are required to have a privacy policy set.


i found that inside APK , android manifest has this version, but definitely i have NOT declare it (i use version1.0 in Compiler->"CreateAPP")

simple google search, point to something to do with cordova, but i dont know how can i fix it !

[Edit]
compile it with SB2.0 has crete a version 20001000 , where app store accept it !


any idea . future plan about this ?
Return to General Discussion

Who is online

Users browsing this forum: No registered users and 2 guests